using EVCB_OCPP.Packet.Messages.Security;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Features.Security
{
    public class SignedUpdateFirmwareFeature : Feature
    {
        public override string GetAction()
        {
            return Actions.SignedUpdateFirmware.ToString();
        }

        public override Type GetConfirmationType()
        {
            return typeof(SignedUpdateFirmwareConfirmation);
        }

        public override Type GetRequestType()
        {
            return typeof(SignedUpdateFirmwareRequest);
        }
    }
}
